<H1>Request Data</H1>

<?php

//ESP8266 Server Address
$Address = "192.168.4.1";

// create a new cURL resource
$ch = curl_init();

// set URL and other appropriate options
curl_setopt($ch, CURLOPT_URL, $Address);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

// grab URL and pass it to the browser
$contents = curl_exec($ch);

// close cURL resource, and free up system resources
curl_close($ch);

//Echo out data received
echo ("ESPDATA: <br /><br />".$contents);

//Parse through data to pull out values
if (strlen($contents) > 0)
{
	//Split into lines
	$line = explode("<BR/>", $contents);

	//Collect Temperature and Humidity values from HTTP message
	$temperature = explode(":", $line[4]);
	$humidity = explode(":", $line[5]);

	//Append data to DB table
	$con->query("INSERT INTO DATA (Temperature, Humidity) VALUES ($temperature[1], $humidity[1])");

	echo "<br /><br />success!";
}
else
	echo "Fail - No data received!";

?>